Skip to content
Soljio Docs
Esc
↑↓navigate↵open⌘Jpreview

Get notification template.

Get notification template. An organization-scoped read using JSON filter arguments; requires communications.read. Pagination cursors must be reused only with the same organization, operation and filters.

POST/queries/get_notification_template
Authorization
AuthorizationBearer token (soljio_sk_<secret>) · headerrequired

Organization-scoped service token created by an owner/admin. Scope requirements are in x-required-scopes; these are service-token grants, not OAuth scopes. Revoked, expired, unknown and suspended-organization credentials all return 401.

Request body
requiredapplication/json
channelstringrequired
Show properties
Any of:
string
string
string
string
string
string
template_keystringrequired
Show properties
Any of:
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
Responses
200

Successful read.

dataobjectrequired
Show properties
channelstringrequired
Show properties
Any of:
string
string
string
string
string
string
contentobjectrequired
Show properties
Any of:
object
body_textstringrequired
channelstringrequired
cta_labelstringrequired
footnotestring
headingstringrequired
highlightstring
preview_textstringrequired
subjectstringrequired
object
bodystringrequired
channelstringrequired
object
bodystringrequired
channelstringrequired
titlestringrequired
is_transactionalbooleanrequired
keystringrequired
Show properties
Any of:
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
namestringrequired
sourcestringrequired
Show properties
Any of:
string
string
string
string
versionnumberrequired
request_idstring<uuid>required
400

invalid_request

errorobjectrequired
Show properties
codestringrequired
Allowed:invalid_request
messagestringrequired
request_idstring<uuid>required
401

unauthorized

errorobjectrequired
Show properties
codestringrequired
Allowed:unauthorized
messagestringrequired
request_idstring<uuid>required
403

forbidden

errorobjectrequired
Show properties
codestringrequired
Allowed:forbidden
messagestringrequired
request_idstring<uuid>required
404

not_found

errorobjectrequired
Show properties
codestringrequired
Allowed:not_found
messagestringrequired
request_idstring<uuid>required
405

method_not_allowed

errorobjectrequired
Show properties
codestringrequired
Allowed:method_not_allowed
messagestringrequired
request_idstring<uuid>required
409

conflict, idempotency_conflict

errorobjectrequired
Show properties
codestringrequired
Allowed:conflictidempotency_conflict
messagestringrequired
request_idstring<uuid>required
413

payload_too_large

errorobjectrequired
Show properties
codestringrequired
Allowed:payload_too_large
messagestringrequired
request_idstring<uuid>required
415

unsupported_media_type

errorobjectrequired
Show properties
codestringrequired
Allowed:unsupported_media_type
messagestringrequired
request_idstring<uuid>required
429

rate_limited

errorobjectrequired
Show properties
codestringrequired
Allowed:rate_limited
messagestringrequired
request_idstring<uuid>required
500

internal_error

errorobjectrequired
Show properties
codestringrequired
Allowed:internal_error
messagestringrequired
request_idstring<uuid>required
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.soljio.com/v0/queries/get_notification_template' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "channel": "email",
  "template_key": "platform_billing_recovery_reminder"
}'
Response
{
  "data": {
    "channel": "email",
    "content": {
      "body_text": "string",
      "channel": "email",
      "cta_label": "string",
      "footnote": "string",
      "heading": "string",
      "highlight": "string",
      "preview_text": "string",
      "subject": "string"
    },
    "is_transactional": true,
    "key": "platform_billing_recovery_reminder",
    "name": "string",
    "source": "system",
    "version": 0
  },
  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}